<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCouponsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: coupons
         */
        Schema::create('coupons', function ($table) {
            $table->increments('id');
            $table->string('coupon_code', 255)->nullable();
            $table->integer('discount')->nullable();
            $table->enum('status', [Active])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('coupons');
    }
}
