<?php

namespace Litecms\Coupon\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CouponTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Coupon\Models\Coupon $coupon)
    {
        return [
            'id'                => $coupon->getRouteKey(),
            'key'               => [
                'public'    => $coupon->getPublicKey(),
                'route'     => $coupon->getRouteKey(),
            ], 
            'coupon_code'       => $coupon->coupon_code,
            'discount'          => $coupon->discount,
            'status'            => $coupon->status,
            'url'               => [
                'public'    => trans_url('coupon/'.$coupon->getPublicKey()),
                'user'      => guard_url('coupon/coupon/'.$coupon->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coupon->status),
            'created_at'        => format_date($coupon->created_at),
            'updated_at'        => format_date($coupon->updated_at),
        ];
    }
}